Bug 1024385 - [AMQP 1.0] address string "node:{type:queue}" is ignored when creating a node
[AMQP 1.0] address string "node:{type:queue}" is ignored when creating a node
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
: TestCaseProvided
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-29 10:47 EDT by Pavel Moravec
Modified: 2015-01-21 07:55 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-25.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5276 None None None Never

  None (edit)
Description Pavel Moravec 2013-10-29 10:47:08 EDT
Description of problem:
Attempting to create a queue with name equal to a name of already existing exchange fails when using AMQP 1.0. Dosing so in 0-10 proceeds. Doing so in 1.0 when the queue is already created proceeds properly.


Version-Release number of selected component (if applicable):
qpid-cpp-client-0.22-23.el6.x86_64


How reproducible:
100%


Steps to Reproduce:
0. service qpidd restart
1. qpid-send -a "amq.direct; {create:always, node:{type:queue}}" -m 3 --connection-options="{protocol:amqp1.0}"
2. qpid-send -a "amq.direct; {create:always, node:{type:queue}}" -m 3
3. qpid-send -a "amq.direct; {create:always, node:{type:queue}}" -m 3 --connection-options="{protocol:amqp1.0}"


Actual results:
"1." returns error "qpid-send: Link detached by peer with amqp:precondition-failed: Exchange of different type already exists" and the queue is not created
"2." creates the queue and sends there 3 messages (same as "1." but using 0-10)
"3." sends 3 more messages to the queue via 1.0


Expected results:
Even "1." creates the queue and sends there messages
("2." and "3." are fine)
- the queue has 9 messages at the end, while the same-named exchange has no message in


Additional info:
Comment 1 Gordon Sim 2013-10-30 07:41:15 EDT
Fixed upstream: https://svn.apache.org/r1537051 (this also fixes bug 1024396)
Comment 2 Petr Matousek 2014-01-03 05:08:34 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-29

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.